@rollup/plugin-terser
TypeScript icon, indicating that this package has built-in type declarations

0.4.4 • Public • Published

npm size libera manifesto

@rollup/plugin-terser

🍣 A Rollup plugin to generate a minified bundle with terser.

Requirements

This plugin requires an LTS Node version (v14.0.0+) and Rollup v2.0+.

Install

Using npm:

npm install @rollup/plugin-terser --save-dev

Usage

Create a rollup.config.js configuration file and import the plugin:

import terser from '@rollup/plugin-terser';

export default {
  input: 'src/index.js',
  output: {
    dir: 'output',
    format: 'cjs'
  },
  plugins: [terser()]
};

Then call rollup either via the CLI or the API.

Options

The plugin accepts a terser Options object as input parameter, to modify the default behaviour.

In addition to the terser options, it is also possible to provide the following options:

maxWorkers

Type: Number
Default: undefined

Instructs the plugin to use a specific amount of cpu threads.

import terser from '@rollup/plugin-terser';

export default {
  input: 'src/index.js',
  output: {
    dir: 'output',
    format: 'cjs'
  },
  plugins: [
    terser({
      maxWorkers: 4
    })
  ]
};

Meta

CONTRIBUTING

LICENSE (MIT)

Package Sidebar

Install

npm i @rollup/plugin-terser

Weekly Downloads

931,892

Version

0.4.4

License

MIT

Unpacked Size

28.7 kB

Total Files

12

Last publish

Collaborators

  • shellscape
  • rich_harris
  • guybedford
  • lukastaegert